#!/usr/bin/env bash
# use this to create a new version, be sure to push the existing /debian folder from the old one
new_version="0.0.2"
python3 setup.py sdist
cd dist || exit
mkdir build_${new_version}
mv *-${new_version}.tar.gz build_${new_version}
cd build_${new_version} || exit
tar -xzmf *-${new_version}.tar.gz
new_version="complib-${new_version}"
cd ${new_version} || exit

if [ -d "debian" ]; then
    echo "Found debian folder"
else
    echo "Could not find debian folder, cloning repo"
    git clone https://github.com/F-WuTS/complib-DEB.git
    mv complib-DEB debian
    git init
fi

#debmake -b":python3"
#gbp buildpackage --git-sign-tags --git-keyid=97B61E4D515353C0A498D2AB22680B5AAC0C4FCE --git-ignore-new # git ignore while developing
